package com.tzy.framework.pay.service;

import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.RefundRequestDto;
import com.tzy.framework.pay.dto.ResultMap;

public interface BaofooRechargePayService {
    //余额支付
    public ResultMap paymentSplitApi(PaymentRequestDto payRequestBody);
    //聚合支付（支付宝）
    public ResultMap payment(PaymentRequestDto payRequestBody);
    //退款申请
    public ResultMap profitShareRefundApply(RefundRequestDto refundRequestDto);
    //订单查询（根据订单号查询是退款还是支付）
    public ResultMap queryOrder(PaymentRequestDto payRequestBody);

}
